var routers = [
        {
                path: '/sys/user/list',
                name: 'sys-user-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/sys/user-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/sys/role/list',
                name: 'sys-role-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/sys/role-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/sys/menu/list',
                name: 'sys-menu-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/sys/menu-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/sys/permission/list',
                name: 'sys-permission-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/sys/permission-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        },
        {
                path: '/sys/dataDictionary/list',
                name: 'sys-dataDictionary-list',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/sys/dataDictionary-list.vue'),
                meta: {
                        roles: ["admin"]
                }
        }
]

export default routers;