const path = require('path');
function resolve (dir) {
    return path.join(__dirname, dir)
}

module.exports = {
    // 选项...
    publicPath:"./",
    // 输出文件目录
    outputDir: 'dist',
    // eslint-loader 是否在保存的时候检查
    lintOnSave: true,
    devServer:{
        host: '0.0.0.0',
        port: 8083
    },
    chainWebpack: (config)=>{
        config.resolve.alias
            .set('@', resolve('src'))
    }
  }